/* Copyright (c) 2013, Mohamed Moubarak
 * Copyright (c) 2012, Marios Hadjieleftheriou
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 * 
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

package org.spatialindex;

import org.spatialindex.storagemanager.IStorageManager;
import org.spatialindex.storagemanager.MemoryStorageManager;
import org.spatialindex.storagemanager.PropertySet;

public class SpatialIndex {
	public static final String VERSION = "0.44.3b";
	public static final String DATE = "08 March 2013";

	public static final double EPSILON = 1.192092896e-07;

	public static final int RtreeVariantQuadratic = 1;
	public static final int RtreeVariantLinear = 2;
	public static final int RtreeVariantRstar = 3;

	public static final int PersistentIndex = 1;
	public static final int PersistentLeaf = 2;

	public static final int ContainmentQuery = 1;
	public static final int IntersectionQuery = 2;

	public static ISpatialIndex createRTree(PropertySet ps, IStorageManager sm) {
		return null;
	}

	public static IStorageManager createMemoryStorageManager() {
		return new MemoryStorageManager();
	}

} // SpatialIndex
